@import url('https://fonts.googleapis.com/css2?family=Poppins:wght@200;300;400;500;600;700;800&display=swap');
@import url('https://fonts.googleapis.com/css2?family=Roboto:wght@300&display=swap');

:root{
    --padding: 100px;
    --accent-color: orange;
}
body{
    display: flex;
    min-height: 98vh;
    flex-direction: column;
}
.showcase{
    position: relative;
    right: 0;
    padding: var(--padding);
    width: 100%;
    min-height: 40vh;
    display: flex;
    justify-content: space-between;
    align-items: center;
    background: #111;
    color: #fff;
    z-index: 2;
    font-family: 'Poppins', sans-serif;
}
.showcase header{
    position: absolute;
    top: 0;
    left: 0;
    width: 100%;
    padding: calc(var(--padding) / 2) calc(var(--padding) / 2);
    z-index: 1000;
    display: flex;
    align-items: center;
    justify-content: space-between;
}

.showcase header nav a:not(:last-of-type){
    margin: 0 16px;
}

app-menu{
    font-size: 1.25em;
    /* --app-menu-font-family: inherit; */
    /* --app-menu-desktop-color: #333; */
    --app-menu-desktop-padding: 10px;
    --app-menu-mobile-color: orange;
    --app-menu-mobile-bg-color: rgba(0,0,0,.7);
    --app-menu-mobile-padding: 10px;
    --app-menu-closed-color: white;
    --app-menu-opened-color: white;
}
app-menu > a{
    font-size: 1.2em;
    text-decoration: none;
    color: inherit;
}
app-menu > a#logout::before{
    content: "|\00a0\00a0";
}
app-menu > a#logout:hover::before{
    color: #fff;
}
.showcase video{
    position: absolute;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    object-fit: cover;
    opacity: .8;
}
.call-to-action{
    position: relative;
    z-index: 10;
    margin: auto;
    max-width: 50vw;
    text-align: center;
}
.call-to-action button,
.call-to-action a{
    min-width: 50%;
    all: unset;
    color: inherit;
    cursor: pointer;
}
.call-to-action img{
    width: 50px;
    margin:auto;
}
.main {
    display: flex;
    font-family: 'Roboto', sans-serif;
    /* padding: var(--padding) 20px var(--padding); */
    flex-direction: column;
    flex: 1;
    /* overflow: auto; */
    justify-content: center;
    align-items: center;
    justify-content: space-between;
}

blockquote{
    position: relative;
    font-style: italic;
}
blockquote::before{
    content: open-quote;
    font-family: Arial, Helvetica, sans-serif;
    font-size: 15em;
    font-style: normal;
    position: absolute;
    top:-25px;
    left:-25px;
    opacity: .15;
    line-height: .9em;
}
footer{
    font-size: .8em;
    font-family: 'Roboto', serif;
    text-align: center;
    padding: 48px 0;
    /* flex: 1; */
}

.main h1,
.main h3,
.main h4,
.footer h1,
.footer h2,
.footer h3,
.footer h4{
    font-family: 'Poppins', sans-serif;
}
.footer{
    background: #333;
    /* background-image: linear-gradient(#fff, #e2e2e2 75%); */
    margin: 0;
    padding: 0;
    min-height: 100vh;
    height: 100%;
    width: 100%;
}
#map{
    height: 400px;
    background-color: #000;
}
form.center{
    display: flex;
    justify-content: center;
    flex-direction: column;
}
.login{
    display: none;
}

/* .error{
    display: none;
    margin: 1em auto;
    max-width: 25vw;
    padding: .5em;
    color: #721c24;
    background-color: #f8d7da;
    border: 1px solid #f5c6cb;
    border-radius: 4px;
    text-align: center;
} */

.reportList{
    display: none;
}
.loading{
    animation: loading 1s linear forwards infinite;
    background: #f6f7f8;
    background: linear-gradient(to right, #eeeeee 8%, #dddddd 18%, #eeeeee 33%);
    background-size: 1000px 104px;
    height: 100px;
    width: 30vw;
    position: relative;
    overflow: hidden;
}
.loading::before{
    content: "";
    background: #FFF;
    width: 100%;
    height: 20px;
    position: absolute;
    top: 20px;
    left: 0;
}
.loading::after{
    content: "";
    background: #FFF;
    width: 100%;
    height: 20px;
    position: absolute;
    top: 60px;
    left: 0;
}
.loading > *:not(.reportList){
    display: none;
}
@keyframes loading{
    0%{
        background-position: -468px 0
    }
    100%{
        background-position: 468px 0
    }
}
table{
    border-collapse: collapse;
}
th{
    background-color: lightblue;
    border:2px solid lightblue;
}
tr:hover td{   
    border-top: 2px solid darkblue !important;
    border-bottom: 2px solid darkbluek !important;
}
tr:hover td:first-child{
    border-left: 2px solid darkblue;
}
tr:hover td:last-child{
    border-right: 2px solid darkblue;
}
tr:nth-child(odd) > td{
    background-color: #f2f2f2;
    border-bottom: 1px solid #c3c3c3;
    border-top: 1px solid    #c3c3c3;
}
tbody:last-of-type td{
    border-bottom: 2px solid lightblue;
}
th,td{
    padding: calc(var(--padding) / 6);
    text-align: center;
}
th:first-child,td:first-child{
    border-left: 2px solid lightblue;
}
th:last-child,td:last-child{
    border-right: 2px solid lightblue;
}
@media screen and (max-width:1660px){
    .reportForm{
        width: 50%;
    }
}
@media screen and (max-width:1150px){
    .reportForm{
        width: 70%;
    }
}
@media screen and (max-width:900px){
    :root{
        --padding: 32px;
    }
    .showcase header{
        padding: calc(var(--padding) / 2) calc(var(--padding) / 3);
    }
    .container{
        padding: var(--padding) calc(var(--padding) / 2);
    }
    #elaborate{
        display: none;
    }
    .reportForm{
        width: 80%;
    }
    .login div:not(:last-of-type){
        width: 100%;
    }
    .login.show{
        flex-direction: column;
    }
    .login div:nth-child(3){
        align-self: center;
    }
    .login button{
        padding: 12px 24px;
        outline: none;
        border: 1px solid #c3c3c3;
        border-radius: 4px;
        font-weight: bold;
        box-shadow: 0 0 2px #e2e2e2;
    }
}
@media screen and (max-width: 700px){
    app-menu > a#logout:before{
        all: unset;
    }
}
@media screen and (max-width:400px){
    :root{
        --padding: 32px;
    }
    .call-to-action img{
        width: 35px;
    }
    #map{
        height: 240px;
    }
    .reportModal .container{
        padding: calc(var(--padding) / 2);
    }
    .reportForm{
        width: 90%;
        max-height: 80vh;
        padding: 4px;
        overflow: auto;
    }
    .horizontal-form{
        display: inherit;
    }
    /* .horizontal-form > .form-group{
        flex:1;
    } */
    .horizontal-form > .form-group:not(:last-child){
        margin-right: unset;
    }
    .container{
        width: 95%;
        margin: 0 auto;
    }
    blockquote{
        margin-top: 2em;
        margin-bottom: 2em;
    }
}